Package org.drinkless.tdlib

# Class TdApi.MessageChatOwnerLeft

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.MessageContent
org.drinkless.tdlib.TdApi.MessageChatOwnerLeft

Enclosing class:
  `TdApi`

public static class TdApi.MessageChatOwnerLeft extends TdApi.MessageContent
The owner of the chat has left.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.MessageContent

  `TdApi.MessageContent.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `long`
  `newOwnerUserId`
  Identifier of the user who will become the new owner of the chat if the previous owner isn't return; 0 if none.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MessageChatOwnerLeft()`
  The owner of the chat has left.
  `MessageChatOwnerLeft(long newOwnerUserId)`
  The owner of the chat has left.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### newOwnerUserId

    public long newOwnerUserId
    Identifier of the user who will become the new owner of the chat if the previous owner isn't return; 0 if none.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### MessageChatOwnerLeft

    public MessageChatOwnerLeft()
    The owner of the chat has left.

  - ### MessageChatOwnerLeft

    public MessageChatOwnerLeft(long newOwnerUserId)
    The owner of the chat has left.
    Parameters:
      `newOwnerUserId` - Identifier of the user who will become the new owner of the chat if the previous owner isn't return; 0 if none.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.MessageContent`
    Returns:
      this.CONSTRUCTOR